## owncloud 7.0.13~dfsg

=== debian/changelog ===
owncloud (7.0.13~dfsg-1) unstable; urgency=medium

  [ C Montero-Luque ]
  * 7.0.13

 -- David Prévot <taffit@debian.org>  Sat, 12 Mar 2016 13:55:48 -0400

owncloud (7.0.13~~rc2~dfsg-1) unstable; urgency=medium

  [ C Montero-Luque ]
  * 7.0.13 RC2

 -- David Prévot <taffit@debian.org>  Sat, 05 Mar 2016 11:45:27 -0400

owncloud (7.0.13~~rc1~dfsg-1) unstable; urgency=medium

  [ David Prévot ]
  * Document now assigned CVE in previous changelog entries
  * Update copyright
  * Update Standards-Version to 3.9.7

  [ C Montero-Luque ]
  * 7.0.13 RC1

 -- David Prévot <taffit@debian.org>  Fri, 04 Mar 2016 21:46:13 -0400

owncloud (7.0.12~dfsg-2) unstable; urgency=medium

  * Update manpage
  * Fix security issues not backported by upstream to 7.0:
    - Information Exposure Through Directory Listing in the file scanner
      [oc-sa-2016-002] [CVE-2016-1499]
    - Full installation path disclosure through error message
      [oc-sa-2016-004] [CVE-2016-1501]

 -- David Prévot <taffit@debian.org>  Tue, 05 Jan 2016 22:18:39 -0400

owncloud (7.0.12~dfsg-1) unstable; urgency=medium

  * Upload release to unstable

  [ C Montero-Luque ]
  * 7.0.12, fixing two security issues:
    - Reflected XSS in OCS provider discovery
      [oc-sa-2016-001] [CVE-2016-1498]
    - Disclosure of files that begin with \".v\" due to unchecked return
      value [oc-sa-2016-003] [CVE-2016-1500]

 -- David Prévot <taffit@debian.org>  Mon, 21 Dec 2015 16:12:42 -0400

owncloud (7.0.12~~rc1~dfsg-1) experimental; urgency=medium

  * Upload RC to experimental

  [ David Prévot ]
  * Force version 1 of php-seclib

  [ Lukas Reschke ]
  * Use XMLWriter to generate response

  [ Robin Appelman ]
  * Handle non existing files in version previews

  [ C Montero-Luque ]
  * 7.0.12 RC1

 -- David Prévot <taffit@debian.org>  Thu, 17 Dec 2015 13:17:00 -0400

owncloud (7.0.11~dfsg-1) unstable; urgency=medium

  * Upload final version to unstable

  [ C Montero-Luque ]
  * 7.0.11

 -- David Prévot <taffit@debian.org>  Fri, 30 Oct 2015 15:13:43 -0400

owncloud (7.0.11~~rc2~dfsg-1) experimental; urgency=medium

  [ Lukas Reschke ]
  * Stop processing if PHP 7 is used

  [ C Montero-Luque ]
  * 7.0.11 RC2

 -- David Prévot <taffit@debian.org>  Wed, 28 Oct 2015 12:52:53 -0400

owncloud (7.0.11~~rc1~dfsg-1) experimental; urgency=medium

  * Upload RC to experimental

  [ C Montero-Luque ]
  * 7.0.11 RC1

 -- David Prévot <taffit@debian.org>  Thu, 22 Oct 2015 11:18:31 -0400

owncloud (7.0.10~dfsg-2) unstable; urgency=medium

  * Fix Information exposure through directory listing [CVE-2015-6500]
    (Closes: #800126)

 -- David Prévot <taffit@debian.org>  Sun, 27 Sep 2015 12:16:01 -0400

owncloud (7.0.10~dfsg-1) unstable; urgency=medium

  [ C Montero-Luque ]
  * 7.0.10

 -- David Prévot <taffit@debian.org>  Sat, 12 Sep 2015 11:30:12 -0400

owncloud (7.0.9~dfsg-1) unstable; urgency=medium

  * Upload stable version to unstable

  [ C Montero-Luque ]
  * 7.0.9

 -- David Prévot <taffit@debian.org>  Wed, 02 Sep 2015 08:38:10 -0400

owncloud (7.0.9~~rc1~dfsg-1) experimental; urgency=medium

  * Upload RC to experimental

  [ C Montero-Luque ]
  * 7.0.9 RC1

 -- David Prévot <taffit@debian.org>  Sat, 29 Aug 2015 18:33:25 -0400

owncloud (7.0.8~dfsg-1) unstable; urgency=medium

  [ Frank Karlitschek ]
  * 7.0.8

  [ David Prévot ]
  * Recommend php5-imap for user_external

 -- David Prévot <taffit@debian.org>  Tue, 11 Aug 2015 17:47:06 +0200

owncloud (7.0.7~dfsg-1) unstable; urgency=medium

  * Upload stable version to unstable

  [ C Montero-Luque ]
  * 7.0.7

 -- David Prévot <taffit@debian.org>  Fri, 03 Jul 2015 16:28:06 -0400

owncloud (7.0.7~~rc1~dfsg-1) experimental; urgency=medium

  [ C Montero-Luque ]
  * 7.0.7RC1

 -- David Prévot <taffit@debian.org>  Thu, 02 Jul 2015 11:47:22 -0400

owncloud (7.0.7~~beta~dfsg-1) experimental; urgency=medium

  * Upload beta to experimental

  [ Lukas Reschke ]
  * Verify if path exists

  [ C Montero-Luque ]
  * version 7.0.7 beta

  [ David Prévot ]
  * Update occ.8

 -- David Prévot <taffit@debian.org>  Tue, 23 Jun 2015 19:03:31 -0400

owncloud (7.0.6+dfsg-1) unstable; urgency=medium

  * Upload stable version to unstable

  [ Frank Karlitschek ]
  * 7.0.6

 -- David Prévot <taffit@debian.org>  Sat, 06 Jun 2015 07:20:18 -0400

owncloud (7.0.6~rc2~dfsg-1) experimental; urgency=medium

  [ Frank Karlitschek ]
  * 7.0.6RC2

 -- David Prévot <taffit@debian.org>  Mon, 01 Jun 2015 21:00:21 -0400

owncloud (7.0.6~rc1~dfsg-1) experimental; urgency=medium

  [ David Prévot ]
  * Depend on php5-cli
  * Document security fixes in previous changelog entry
  * Creates themes/default with RW access (Closes: #782291)
  * Simply use su instead of sudo in postinst
  * Exclude two images containing non-free ICC profiles
  * Update copyright

  [ Frank Karlitschek ]
  * 7.0.6 RC1

 -- David Prévot <taffit@debian.org>  Sat, 30 May 2015 20:48:00 -0400

owncloud (7.0.5+dfsg-1) experimental; urgency=medium

  * New upstream release with security fixes:
    - Multiple stored XSS in "contacts" application [OC-SA-2015-001]
      [CVE-2015-3011]
    - Multiple stored XSS in "documents" application [OC-SA-2015-002]
      [CVE-2015-3012]
    - Bypass of file blacklist [OC-SA-2015-004] [CVE-2015-3013]

  [ Volkan Gezer ]
  * backport some strings to stable7

  [ Lukas Reschke ]
  * Normalize before processing

  [ RealRancor ]
  * Add hint for troubleshooting MS Word previews

  [ Arthur Schiwon ]
  * on ownCloud upgrade: upgrade all apps in order, load important ones

  [ David Prévot ]
  * Remove again images embedding a non free ICC profile, and dojo.js
  * Run upgrade script with sudo as www-data user
  * Track stable7
  * Update upstream changelog

  [ Frank Karlitschek ]
  * 7.0.5

 -- David Prévot <taffit@debian.org>  Wed, 11 Mar 2015 09:49:25 -0400

owncloud (7.0.5~rc1+dfsg-1) experimental; urgency=medium

  * Upload RC to experimental

  [ Thomas Imbreckx ]
  * Patched french translation (backported from master)


