=== debian/control ===
Source: owncloud
Section: web
Priority: extra
Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Mueller <thomas.mueller@tmit.eu>,
           David Prévot <taffit@debian.org>,
           Paul van Tilburg <paulvt@debian.org>
Build-Depends: debhelper (>= 8), libjs-dojo-dojox (>= 1.10), node-uglify
Standards-Version: 3.9.7
Homepage: https://owncloud.org
Vcs-Git: git://anonscm.debian.org/pkg-owncloud/owncloud.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-owncloud/owncloud.git

Package: owncloud
Architecture: all
Depends: apache2 | httpd,
         fonts-font-awesome,
         fonts-liberation,
         fonts-linuxlibertine,
         fonts-lohit-deva,
         fonts-sil-gentium-basic,
         fonts-wqy-microhei,
         libjs-chosen,
         libjs-dojo-dojox,
         libjs-jcrop,
         libjs-jquery-minicolors (<< 2~),
         libjs-jquery-mousewheel,
         libjs-jquery-timepicker,
         libjs-mediaelement,
         libjs-pdf,
         libjs-underscore (>= 1.6),
         libphp-phpmailer,
         owncloud-doc,
         php-assetic,
         php-doctrine-dbal (<< 2.5),
         php-doctrine-dbal (>= 2.4),
         php-getid3 (>= 1.9.5~),
         php-opencloud,
         php-patchwork-utf8,
         php-pear,
         php-pimple (<< 2),
         php-sabre-dav (<< 1.9),
         php-sabre-dav (>= 1.8),
         php-seclib (<< 2),
         php-symfony-class-loader,
         php-symfony-console,
         php-symfony-routing,
         php5 (>= 5.3.8),
         php5-cli,
         php5-gd,
         php5-json,
         php5-mysql | php5-pgsql | php5-sqlite,
         zendframework,
         ${misc:Depends}
Recommends: exim4 | mail-transport-agent,
            php-aws-sdk (<< 3),
            php-crypt-blowfish (>= 1.1.0~RC2-2~),
            php-dropbox,
            php-google-api-php-client (<< 1),
            php5-apcu | php5-xcache,
            php5-curl,
            php5-imap,
            php5-intl,
            php5-ldap,
            php5-mcrypt,
            smbclient
Suggests: libapache2-mod-xsendfile,
          libav-tools,
          libreoffice,
          mysql-server | virtual-mysql-server | postgresql,
          php5-imagick
Description: cloud storage for files, music, contacts, calendars and many more
 ownCloud gives you universal access to your files through a web interface
 or WebDAV.  It also provides a platform to easily view & sync your
 contacts, calendars and bookmarks across all your devices and enables
 basic editing right on the web.
