=== debian/rules ===
#!/usr/bin/make -f

VERSION := $(shell head -1 debian/changelog | sed 's/.*(//;s/).*//')

%:
	dh $@

override_dh_install:
	# Remove useless licences, documentation, tests, scripts and sources
	dh_install \
		-Xbower.json \
		-XChangelog -Xcomponent.json -Xcomposer.json -XCOPYING \
		-Xdocuments/src \
		-Xfiles_videoviewer/src -Xfonts/index.html \
		-Xignorelist -Ximage-optimization.sh -Ximg/skin \
		-Xjquery.inview.txt -Xjquery.json -X.js.template \
		-Xl10n.pl -XLICENSE -XLicense.txt \
		-Xpackage.json \
		-XREADME. -Xrelease.sh \
		-Xspec.txt \
		-Xtemplateeditor/l10n -Xtests \
		-Xxgettextfiles

	# Remove other unused sources
	find  debian/owncloud/usr/share/owncloud/apps/*/l10n \
		-mindepth 1 -type d | xargs rm -r
	rm debian/owncloud/usr/share/owncloud/apps/*/l10n/*.js*

	# Minify JavaScript files.
	rm debian/owncloud/usr/share/owncloud/apps/calendar/3rdparty/fullcalendar/js/fullcalendar.min.js
	rm debian/owncloud/usr/share/owncloud/apps/contacts/js/placeholder_polyfill.jquery.min.combo.js
	rm debian/owncloud/usr/share/owncloud/apps/documents/js/3rdparty/webodf/dojo-amalgamation.js
	rm debian/owncloud/usr/share/owncloud/apps/documents/js/3rdparty/webodf/editor/nls/dojobundle.js
	rm debian/owncloud/usr/share/owncloud/apps/documents/js/3rdparty/webodf/webodf.js
	rm debian/owncloud/usr/share/owncloud/core/js/jquery-1.10.0.min.js
	rm debian/owncloud/usr/share/owncloud/core/js/jquery-migrate-1.2.1.min.js

	uglifyjs -o \
		debian/owncloud/usr/share/owncloud/apps/calendar/3rdparty/fullcalendar/js/fullcalendar.min.js \
		debian/owncloud/usr/share/owncloud/apps/calendar/3rdparty/fullcalendar/js/fullcalendar.js
	uglifyjs -o \
		debian/owncloud/usr/share/owncloud/3rdparty/js/md5/md5.min.js \
		debian/owncloud/usr/share/owncloud/3rdparty/js/md5/md5.js
	uglifyjs -o \
		debian/owncloud/usr/share/owncloud/3rdparty/zxcvbn/js/zxcvbn.min.js \
		debian/owncloud/usr/share/owncloud/3rdparty/zxcvbn/js/zxcvbn.js
	uglifyjs -o \
		debian/owncloud/usr/share/owncloud/apps/contacts/js/placeholder_polyfill.jquery.min.combo.js \
		debian/owncloud/usr/share/owncloud/apps/contacts/js/jquery.onfontresize.js \
		&& uglifyjs \
		debian/owncloud/usr/share/owncloud/apps/contacts/js/placeholder_polyfill.jquery.js \
		>> \
		debian/owncloud/usr/share/owncloud/apps/contacts/js/placeholder_polyfill.jquery.min.combo.js
	for i in `grep 'START OF NLS BUNDLE ENTRY' apps/documents/js/3rdparty/webodf/editor/nls/dojobundle.js \
		| sed 's,^/\* START OF NLS BUNDLE ENTRY \[dojo-deps/dist,/usr/share/javascript,;s,] \*/,,'` \
		; do if [ -e $$i ] ; then uglifyjs $$i >> \
		debian/owncloud/usr/share/owncloud/apps/documents/js/3rdparty/webodf/editor/nls/dojobundle.js \
		; fi ;done
	cat \
		/usr/share/javascript/dojo/dojo.js \
		debian/owncloud/usr/share/owncloud/apps/documents/js/3rdparty/webodf/editor/nls/dojobundle.js \
		>> \
		debian/owncloud/usr/share/owncloud/apps/documents/js/3rdparty/webodf/dojo-amalgamation.js
	uglifyjs -o \
		debian/owncloud/usr/share/owncloud/apps/documents/js/3rdparty/webodf/webodf.js \
		debian/owncloud/usr/share/owncloud/apps/documents/js/3rdparty/webodf/webodf-debug.js
	uglifyjs -o \
		debian/owncloud/usr/share/owncloud/core/js/jquery-1.10.0.min.js \
		debian/owncloud/usr/share/owncloud/core/js/jquery-1.10.0.js
	uglifyjs -o \
		debian/owncloud/usr/share/owncloud/core/js/jquery-migrate-1.2.1.min.js \
		debian/owncloud/usr/share/owncloud/core/js/jquery-migrate-1.2.1.js

	# Clean up apps to link external third parties
	rm -r debian/owncloud/usr/share/owncloud/apps/documents/js/3rdparty/resources
	rm -r debian/owncloud/usr/share/owncloud/apps/files_pdfviewer/3rdparty/pdfjs/images
	rm -r debian/owncloud/usr/share/owncloud/apps/files_pdfviewer/3rdparty/pdfjs/locale
	rm    debian/owncloud/usr/share/owncloud/apps/files_pdfviewer/3rdparty/pdfjs/viewer.js

	# Remove the Updater app since upgrade must be made via the package
	rm -r debian/owncloud/usr/share/owncloud/apps/updater

	# Remove the doc, shipped in owncloud-doc
	rm -r debian/owncloud/usr/share/owncloud/core/doc

	# Remove third party provided by external package
	rmdir debian/owncloud/usr/share/owncloud/apps/files_encryption/3rdparty
	rm -r debian/owncloud/usr/share/owncloud/apps/files_external/3rdparty/Dropbox
	rm -r debian/owncloud/usr/share/owncloud/apps/files_external/3rdparty/aws-sdk-php
	rm -r debian/owncloud/usr/share/owncloud/apps/files_external/3rdparty/google-api-php-client
	rm -r debian/owncloud/usr/share/owncloud/apps/search_lucene/3rdparty/Zend

	# Fix displayed version
	sed -i "s/@VERSION@/$(VERSION) (Debian)/" \
		debian/owncloud/usr/share/owncloud/lib/private/util.php

override_dh_fixperms:
	dh_fixperms -X var/lib/owncloud
	chown www-data:www-data debian/owncloud/etc/owncloud/
	chown www-data:www-data debian/owncloud/etc/owncloud/htaccess
	chmod 0640 debian/owncloud/etc/owncloud/htaccess
	for i in assets data backup themes/default ; do \
		chown www-data:www-data debian/owncloud/var/lib/owncloud/$$i && \
		chmod 2770 debian/owncloud/var/lib/owncloud/$$i ; \
	done
	chmod +x debian/owncloud/usr/share/owncloud/occ

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/debian/upstream/changelog

get-orig-source:
	uscan --force --verbose --rename
