=== debian/watch ===
version=3
options=dversionmangle=s/~dfsg$//,pgpsigurlmangle=s/$/.asc/,repacksuffix=~dfsg \
  https://owncloud.org/changelog/ \
  https://download.owncloud.org/community/owncloud-(7.*)\.tar\.bz2
